package com.bzd.system.service.mdyy;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店员工信息表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SMdyyglMdygxxStoreemployeeinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSMdyyglMdygxxStoreemployeeinfo(PageData pd)throws Exception {
        return daoSupport.update("SMdyyglMdygxxStoreemployeeinfoMapper.addSMdyyglMdygxxStoreemployeeinfo", pd);
    }

    public List<PageData> findSMdyyglMdygxxStoreemployeeinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SMdyyglMdygxxStoreemployeeinfoMapper.selectSMdyyglMdygxxStoreemployeeinfoList", pd);
    }

    public Integer SMdyyglMdygxxStoreemployeeinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SMdyyglMdygxxStoreemployeeinfoMapper.SMdyyglMdygxxStoreemployeeinfoRemove", pd);
    }


    public Integer updateSMdyyglMdygxxStoreemployeeinfo(PageData pd)throws Exception {
        return daoSupport.update("SMdyyglMdygxxStoreemployeeinfoMapper.updateSMdyyglMdygxxStoreemployeeinfo", pd);
    }

}
